Feed post bot

3.3.12 Throws errors - Feed post bot

3.3.12 Throws errors

by motte » Sun Jun 16, 2024 5:47 am

Hello, I have updated my forum to version 3.3.12 and use the Ext 1.0.14 and now have the following errors

Feeds are no longer automatically fetched

And when manually picking up and creating new feeds, this error is thrown:
phpBB Debug] PHP Warning: in file [ROOT]/ext/ger/feedpostbot/classes/driver.php on line 778: compact(): Undefined variable $item
What can I do?
Renault Scenic Forum 🚘 since 2003 ...

... lover of Modeltrains 🚂🚃🚃
User avatar
motte
Registered User
Posts: 73
Joined: Wed Jan 30, 2013 10:15 pm
Name: Ralph

Re: 3.3.12 Throws errors

by Ger » Sun Jun 16, 2024 7:17 am

It's PHP behaviour that's changed. You could try commenting this line: https://github.com/GerB/feedpostbot/blo ... r.php#L778
My extensions:
Simple CMS, Feed post bot, Avatar Resize, Modbreak, Magic OGP, Live topic update, Modern Quote, Quoted Where (GDPR) and Autoresponder.
Newest: FAQ manager for 3.2

Like my work? Buy me a coffee to keep it coming. :ugeek:

-Don't PM me for support-
User avatar
Ger
Registered User
Posts: 2116
Joined: Wed Jan 02, 2008 7:35 pm
Location: 192.168.1.100

Re: 3.3.12 Throws errors

by Edward572 » Tue Jul 02, 2024 5:30 am

Hey Ger,

Could you please update this EXTENSION, something that is tested to work with php v8.3 and phpbb 3.3.12 and higher. How about a new version, once completed I will buy you a coffee.

New version 1.0.14 to version 1.1.0

Hopefully you have the time because I love this extension, I use 1.0.11 and do not get the error with phpbb v3.3.12 and php 8.2.

Thanks
Edward
Cheers All, Have A Good One
StormerSoft.Com
User avatar
Edward572
Registered User
Posts: 192
Joined: Wed Aug 03, 2005 12:37 am
Location: Calgary, Alberta, Canada
Name: Edward